Subject: bug#24013: 25.0.95; Emacs 25.x uses up all memory and needs to be killed

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Jul 2016 19:42:04 +0300

> From: Achim Gratz <[email-masked]>
> Date: Sun, 17 Jul 2016 18:16:42 +0200
> 
> > Set select-active-regions to nil.
> 
> Works.

OK, so the problem, whatever it is, is directly related to putting
text into the primary selection.

> >> Not that I know of, but maybe Plasma5 has something built-in that does that.
> >
> > If the above solves the issue, try disabling Plasma5 without disabling
> > select-active-regions.
> 
> Uh?  That runs my desktop, there's no way of disabling it.

Ah, sorry, my misunderstanding, I thought Plasma5 was only handling
the selections.

I guess the next step is to see which memory allocation in xselect.c
goes awry, and why.  Unfortunately, I don't have access to a system
where this could be reproduced.